Subject: Re: Cygwin-Perl upgrade and modules
From: "Gerrit P. Haase" <[email-masked]>
To: Igor Pechtchanski <[email-masked]>
Cc: [email-masked], Gary Nielson <[email-masked]>
Date: Wed, 25 Aug 2004 20:06:28 +0200

Igor wrote:

>> The autobundle command in a CPAN shell is meant to create a list of
>> packages which you have installed (run before unistalling), after update
>> you may simply run `install autobundle_$date` in the CPAN shell, this
>> pulls all listed modules and tries to install it.
>> 
>> 
>> Gerrit

> Gerrit,

> Would it make sense to always run the autobundle CPAN command in the perl
> preremove script?  This way, the list will be available for the 
> postinstall script or a (recently proposed) migration assistance script to
> do what it will.
>         Igor

No, I think CPAN is interactive and it may fail.  E.g. when you start
setup.exe as user A, which is your Cygwin HOME path then?  It may be
needed to create this path additional to create files when you want to
uninstall perl, oh yeah, this was just the first point which came to my
mind when I think about it.  I don't want to say that it is not possible
to do this, you may write such a preremove script, however I think perl
users are programmers anyway and may well take care of their own.  Maybe
it is worth to have it as a standalone package though?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/